<?php get_header( ); ?>

<div id="pagebody-wrapper" class="span-24 last">
	<?php #require_once( TEMPLATEPATH . "/lib/announce.inc.php" ); ?>
	<div id="pagebody" class="span-15 prepend-1 append-1">

	<?php if( have_posts( )) : ?>
		<?php while( have_posts( )) : the_post( ); ?>

			
			<?php
			$attachment_link = get_the_attachment_link( $post->ID, true, array( 450, 800 ));
			$_post = &get_post( $post->ID );
			$classname = ($_post->iconsize[0] <= 128 ? "small" : "") . "attachment";
			?>
			
			<div class="post" id="post-<?php the_ID( ); ?>">
				<h2 class="post_title">
					<a href="<?php echo get_permalink( $post->post_parent ); ?>" rev="attachment"><?php echo get_the_title( $post->post_parent ); ?></a>
					&raquo; <a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a>
				</h2>
				<div class="post_title_date"><p class="incr quiet"><?php the_time( 'l, d. F Y. H:i' ); ?> von <?php the_author( ); ?></p></div>

				
				<div class="entry">
					<p class="<?php echo $classname; ?>"><?php echo $attachment_link; ?><br /><?php echo basename($post->guid); ?></p>
					<?php the_content( '<p>Read the rest of this entry &raquo;</p>' ); ?>
					<hr />
				</div>

				<div class="postmetadata">
					<?php if( get_the_tags( )) { ?>
						<div class="post_tag_list">
							<strong>Tags: </strong>
							<?php the_tags( "<span class=\"post_tag\">", "</span><span class=\"post_tag\">", "</span>" ); ?>
						</div>
					<?php } ?>
					<?php printf(( 'Posted in %s' ), get_the_category_list(', ')); ?> | <?php edit_post_link( 'Edit', '', ' | '); ?>
					<?php comments_popup_link( 'Bitte kommentiere diesen Beitrag &#187;', '1 Comment &#187;', '% Comments &#187;' ); ?>
					<hr />
				</div>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<?php if( function_exists( 'pager_fix' )) { pager_fix( ' ', '&nbsp;', '&nbsp;', '&laquo; Vorherige Seite', 'N&auml;chste Seite &raquo;', 'strong' ); } ?>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('Not Found', 'kubrick'); ?></h2>
		<p class="center"><?php _e('Sorry, but you are looking for something that isn&#8217;t here.', 'kubrick'); ?></p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>
	
	<?php comments_template(); ?>

	</div>
	<div class="span-7 last">
		<?php get_sidebar( ); ?>
	</div>
</div>

<?php get_footer( ); ?>
