<?php
/**	lib/navigation.php
  *	displays page navigation
  */

// get amazona template settings
global $options;
foreach( $options as $value )
{
	if( get_settings( $value['id'] ) === FALSE )
	{
		$$value['id'] = $value['std'];
	}
	else
	{
		$$value['id'] = get_settings( $value['id'] );
	}
}
?>


	<div class="span-17 prepend-7 last">
		<div id="metamenu">
			<ul>
			<li><?php echo stripslashes( $amazona_link_1 ); ?></li>
			<li><?php echo stripslashes( $amazona_link_2 ); ?></li>
			<li><?php echo stripslashes( $amazona_link_3 ); ?></li>
			<li><?php echo stripslashes( $amazona_link_4 ); ?></li>
			<li><?php echo stripslashes( $amazona_link_5 ); ?></li>
			</ul>
		</div>
	</div>





<?php
/* category-navigation konfig */
$catargs = array(
	'show_option_all' => '',
	'show_option_none' => 'Choose a Category',
	'orderby' => 'name',
	'order' => 'ASC',
	'show_last_update' => 0,
	'show_count' => 1,
	'hide_empty' => 0,
	'child_of' => '',
	'exclude' => '',
	'echo' => 1,
	'selected' => '',
	'hierarchical' => 1,
	'name' => 'cat',
	'class' => 'postform',
	'depth' => 0
);
?>

	<div id="pagenav" class="span-24 last">
		<div id="catmenu" class="span-5">
			<h2>Click to see all Categories:</h2>
			<?php wp_dropdown_categories( $catargs ); ?>
			
			<script type="text/javascript"><!--
			var dropdown = document.getElementById( "cat" );
			
			function onCatChange( )
			{
				if( dropdown.options[dropdown.selectedIndex].value > 0 )
				{
					location.href = "<?php echo get_option( 'home' ); ?>/?cat=" + dropdown.options[dropdown.selectedIndex].value;
				}
			}
			dropdown.onchange = onCatChange;
			--></script>
		</div>
		
		<div id="searchbox-wrapper" class="span-19 last">
			<div id="searchbox" class="span-13 prepend-1">
				<form method="get" id="searchform" action="<?php bloginfo('url'); ?>/">
				<label class="hidden" for="s"><?php _e('Search for:'); ?></label>
				<input type="text" value="<?php the_search_query(); ?>" name="s" id="s" />
				<input type="submit" id="searchsubmit" value="Search" />
				</form>
			</div>
			<div class="span-5 last">
				<?php echo stripslashes( $amazona_smallmessage ); ?>
			</div>
		</div>
	</div>
	

	<div id="menu-wrapper" class="span-24 last">
		<div id="themebox" class="span-5">
			<h3>
			<?php
			if( is_category( )) { single_cat_title( '» ', true ); }
			else { global $post; $categories = get_the_category( $post->ID ); echo "» " . $categories[0]->name; }
			?>
			</h3>
		</div>
		<div id="menu" class="span-19 last">
			<ul class="sf-menu">
				<li class="page_item <?php if( is_home( )) { echo 'current_page_item'; } ?>"><a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo( 'name' ); ?> Home">Home</a></li>
				<?php
				/* wp_list_pages() arguments */
				$pageargs = array(
					'depth' => 0,
					'show_date' => '',
					'date_format' => '',
					'child_of' => 0,
					'exclude' => '',
					'title_li' => '',
					'echo' => 1,
					'authors' => '',
					'sort_column' => 'menu_order, post_title'
				);
				wp_list_pages( $pageargs );
				?>
			</ul>
		</div>
	</div>
